Bug 1262910 - Empty options in combo boxes of multiple instance user task
Empty options in combo boxes of multiple instance user task
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.2.0
Unspecified Unspecified
medium Severity medium
: ER3
: 6.2.0
Assigned To: Tihomir Surdilovic
Jozef Marko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-14 11:27 EDT by Jozef Marko
Modified: 2015-12-18 04:52 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jozef Marko 2015-09-14 11:27:13 EDT
*** Description of problem:
In process with multiple instance user task, are in MI combo boxes two empty options every time. Even if there is no variable to select, there are two empty options, which can be selected. Specifically I mean these combo boxes: MI collection input, MI collection output, MI data input and MI data output.


*** Version-Release number of selected component (if applicable):
kie-wb-distribution-wars-6.3.0-20150914.105450-820-eap6_4.war


*** Steps to Reproduce:
1. Create process which contains MI user task
2. Check mentioned combo boxes

*** Actual results:
In mentioned combo boxes are always two empty options. One empty option is always first and second one is always last.


*** Expected results:
In mentioned combo boxes should only one empty option and it should be the first option to choose.


Additional info:
Notice, that currently two empty options are rendered in some strange way, because these two empty options are so big as one normal option.
Comment 2 Jozef Marko 2015-09-22 08:02:30 EDT
Fix not included in 6.2.0.ER3. Code Cutoff Date[1] is the same as date of commit[2]. Probably is enough to check fix in next release.

[1]
https://github.com/jboss-integration/kie-release-reports/blob/master/reports/tags/sync-6.3.x-2015.09.17/sync-6.3.x-2015.09.17-1.txt

[2]
https://github.com/droolsjbpm/jbpm-designer/commit/03ff5eff1d3079ef47404535a865cb0dd71d9278
Comment 3 Jeremy Lindop 2015-12-10 07:00:55 EST
This seems fixed in bpmsuite-6.2.0.GA
Comment 4 Jozef Marko 2015-12-18 04:50:49 EST
You are right Jeremy. Fixed in 6.2.0.GA.

Note You need to log in before you can comment on or make changes to this bug.